# frozen_string_literal: true

module BucketCake
  module Values
    class AffiliateTiers < Base::Latest
      FOLDER = 'affiliate_tiers'
      PROTOCLASS = -> { Cakeproto::IdName }
    end

    class BlacklistReasons < Base::Latest
      FOLDER = 'blacklist_reasons'
      PROTOCLASS = -> { Cakeproto::IdName }
    end

    class Countries < Base::Latest
      FOLDER = 'countries'
      PROTOCLASS = -> { Cakeproto::Country }
    end

    class Currencies < Base::Latest
      FOLDER = 'currencies'
      PROTOCLASS = -> { Cakeproto::Currency }
    end

    class ExchangeRates < Base::Latest
      FOLDER = 'exchange_rates'
      PROTOCLASS = -> { Cakeproto::ExchangeRate }
    end

    class MediaTypes < Base::Latest
      FOLDER = 'media_types'
      PROTOCLASS = -> { Cakeproto::IdName }
    end

    class PaymentTypes < Base::Latest
      FOLDER = 'payment_types'
      PROTOCLASS = -> { Cakeproto::IdName }
    end

    class Verticals < Base::Latest
      FOLDER = 'verticals'
      PROTOCLASS = -> { Cakeproto::IdName }
    end
  end
end
