# frozen_string_literal: true

module BucketCake
  module Entities
    class Advertisers < Base::Latest
      FOLDER = 'advertisers'
      PROTOCLASS = -> { Cakeproto::Advertiser }
    end

    class Affiliates < Base::Latest
      FOLDER = 'affiliates'
      PROTOCLASS = -> { Cakeproto::Affiliate }
    end

    class Campaigns < Base::Latest
      FOLDER = 'campaigns'
      PROTOCLASS = -> { Cakeproto::Campaign }
    end

    class Creatives < Base::Latest
      FOLDER = 'creatives'
      PROTOCLASS = -> { Cakeproto::Creative }
    end

    class Offers < Base::Latest
      FOLDER = 'offers'
      PROTOCLASS = -> { Cakeproto::Offer }
    end
  end
end
