# frozen_string_literal: true

module BucketCake
  module Facts
    class Clicks < Base::Range
      FOLDER = 'clicks'
      PROTOCLASS = -> { Cakeproto::Click }
    end

    class Conversions < Base::Range
      FOLDER = 'conversions'
      PROTOCLASS = -> { Cakeproto::Conversion }
    end

    class CapStatesLatest < Base::Latest
      FOLDER = 'cap_states'
      PROTOCLASS = -> { Cakeproto::CapState }
    end
  end
end
