# frozen_string_literal: true

module Cakeproto
  class TimeWithZone
    def to_utc
      Time.at(unix_seconds).utc
    end

    def to_local
      to_utc.in_time_zone(timezone_location)
    end

    def to_date
      to_local.to_date
    end
  end
end
