# frozen_string_literal: true

module BucketCake
  module Realtime
    class Clicks < Base::Realtime
      FOLDER = 'clicks_rt'
      PROTOCLASS = -> { Cakeproto::Click }
    end

    class Conversions < Base::Realtime
      FOLDER = 'conversions_rt'
      PROTOCLASS = -> { Cakeproto::Conversion }
    end
  end
end
